Subject: Re: libz and RHEL 5.9 compile of Git

From: Jonathan Nieder <[email-masked]>
Date: Wed, 22 Jan 2014 08:30:07 -0800

Hi,

salmansheikh wrote:

>                                                                     I
> downloaded and installed the latest libz (1.2.8) but i installed it under a
> local directory under my user name (i.e. /home/ssheikh/local). The problem
> is that git only looks in the locations below. I even have that directory in
> my $LD_LIBRARY_PATH.

Confusingly, LD_LIBRARY_PATH is only used a run-time.  The build time
library path is just called LIBRARY_PATH.

You may also need to add your libz's include/ dir to CPATH.  See
http://gcc.gnu.org/onlinedocs/gcc/Environment-Variables.html for more
details.

Hope that helps,
Jonathan